Announcement: Be excellent to each other.


Caravel Forum : Caravel Boards : Development : Unable to Install DROD Dependecies (Trying to compile DROD on Win 10)
New Topic New Poll Post Reply
Poster Message
IQubic
Level: Delver
Rank Points: 64
Registered: 11-22-2015
IP: Logged

File: Errors.txt (1.9 KB)
Downloaded 2 times.
License: Public Domain
icon Unable to Install DROD Dependecies (0)  
So I've been trying on and off to get DROD compiled on Windows 10. The logical place to start is with installing the dependencies. I downloaded the python script from Skell's public DROD repos over on github. After a while of trying I've been able to install all of the deps, except for two:
jpeg-6b
json-0.6.2-rc2

I played around with commenting and uncommenting stuff in the install script. I am positive that it is just these two that fail.

Attached to this post is a text document showing the exact errors I get.

Thanks in advance,
IQubic


____________________________
119th Skywatcher

[Last edited by IQubic at 03-28-2018 11:05 PM]
03-28-2018 at 11:04 PM
View Profile Send Private Message to User Show all user's posts High Scores Quote Reply
skell
Level: Legendary Smitemaster
Avatar
Rank Points: 2412
Registered: 12-28-2004
IP: Logged
icon Re: Unable to Install DROD Dependecies (0)  
quote:
C:\Users\avica\Desktop\drod\DepsSrc\jpeg-6b\jpeg-6b/jpeglib/jpeglib.sln
       
These files could not be found and will not be loaded.


Can you double check that the jpg (and the other) library was downloaded correctly? I think they are hosted on my server because those specific versions did not exist anymore anywhere online so I self-hosted them and maybe something there is a problem.

____________________________
My website | Facebook | Twitter
03-29-2018 at 08:35 AM
View Profile Send Private Message to User Send Email to User Visit Homepage Show all user's posts High Scores This architect's holds Quote Reply
IQubic
Level: Delver
Rank Points: 64
Registered: 11-22-2015
IP: Logged
icon Re: Unable to Install DROD Dependecies (0)  
Skell, when I look at the DepSrc folder for the jpeg and the json libraries both are empty. drod/DepsSrc/jpeg-6b is empty. Same for DepsSrc/json-0.6.2-rc2. Both of those libraries are being hosted on your own server, so I think that is where the error lies.

FMODAPI is also being hosted on your server, but I had no issues with that.

EDIT: I'm not sure what you did Skell, but things seem to be working now. One slight hitch, there was no debug version of libpng.lib, only a release version. Will I run into any issues if I take the release version of libpng.lib and copy it to the debug folder? I didn't run into any issues when compiling, but I worry there might be some issues running the code.

Thanks for helping me,
IQubic

____________________________
119th Skywatcher

[Last edited by IQubic at 03-30-2018 03:33 AM]
03-29-2018 at 08:45 PM
View Profile Send Private Message to User Show all user's posts High Scores Quote Reply
New Topic New Poll Post Reply
Caravel Forum : Caravel Boards : Development : Unable to Install DROD Dependecies (Trying to compile DROD on Win 10)
Surf To:


Forum Rules:
Can I post a new topic? No
Can I reply? No
Can I read? Yes
HTML Enabled? No
UBBC Enabled? Yes
Words Filter Enable? No

Contact Us | CaravelGames.com

Powered by: tForum tForumHacks Edition b0.98.8
Originally created by Toan Huynh (Copyright © 2000)
Enhanced by the tForumHacks team and the Caravel team.